%define ver	0.4.20
%define rel	2
%define prefix	/usr

Name: gnut 
Summary: Gnut is a Gnutella client for Unix/Linux plataforms.
Version: %ver
Release: %rel
Copyright: GPL
Packager: Danilo Caio Marcucci Marques (danpos at if dot uff dot br)
Group: Applications/Communications
Source: http://www.gnutelliums.com/linux/linux_unix/gnut/tars/gnut-%{ver}.tar.gz
BuildRoot: /var/tmp/gnut-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc
Provides: gnut

%description
Gnut is a Gnutella client for Unix/Linux plataforms                 

%prep

rm -rf /usr/src/rpm/BUILD/gnut-%{ver}
%setup -n gnut-%{ver}

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-linux"
%endif
if [ ! -f configure ]; then
  ./autogen.sh
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} $MYARCH_FLAGS
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} $MYARCH_FLAGS
fi
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO gnutrc.sample gnut_hosts.sample gnut.glade wgnut.dsp wgnut.dsw TUTORIAL gnut.html gnut-1.html gnut-2.html gnut-3.html gnut-4.html gnut-5.html gnut-6.html gnut.sgml gnut.lyx 
%attr(755,root,root) /usr/bin/gnut

%changelog
* Fri Mar 9 2001 Danilo Caio Marcucci Marques (danpos at if dot uff dot br)
- Updated to release 2 (0.4.20-2)
- File gnut_hosts.sample included.

* Thu Mar 8 2001 Danilo Caio Marcucci Marques (danpos at if dot uff dot br)
- Updated to 0.4.20-1            

